Skip to main content
`Ctrl`+`K`

# KSPSetPostSolve

Sets a function that is called at the end of each `KSPSolve()` (whether it converges or not). Used in conjunction with `KSPSetPreSolve()`.

## Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPSetPostSolve(KSP ksp, KSPPSolveFn *postsolve, void *ctx)

Logically Collective

## Input Parameters

- ksp - the solver object

- postsolve - the function to call after the solve, see`KSPPSolveFn`

- ctx - an optional context needed by the function

## See Also

KSP: Linear System Solvers, `KSPPSolveFn`, `KSPSetUp()`, `KSPSolve()`, `KSPDestroy()`, `KSP`, `KSPSetPreSolve()`, `PCEISENSTAT`

## Level

developer

## Location

src/ksp/ksp/interface/itcreate.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages